Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Users

Create User
POST /users
https://api.relesystest.net/api/v1.4/users
Create a user if the model is valid.

customFields is an array of key-value-pairs referencing the externalId (see the documentation for 'Get User Custom Fields') as the key, and a string input as the value.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
Request Body
application/json
object
  ⯈ additionalDepartments array[object] optional
   dataSource string optional
   id string / guid optional
  birthDate datetime optional
  cardNumber string optional
  customFields dictionary`2 optional
  dataSource string Max length: 50 optional
  dutyPlanNumber string optional
  email string Max length: 128 optional
  employmentDate datetime optional
  employmentEndDate datetime optional
  employmentType string optional
  externalId string Max length: 128 optional
  gender string Possible values:

Male
Female
optional
  imageId string / guid optional
  initials string Max length: 10 optional
  memberCardId string / guid optional
  name string Max length: 128 required
  password string optional
  ⯈ phoneNumber object optional
   countryCode integer optional
   number string optional
  primaryDepartmentId string / guid required
  registerNumber string optional
  secondaryEmail string Max length: 128 optional
  ⯈ secondaryPhoneNumber object optional
   countryCode integer optional
   number string optional
  title string Max length: 50 optional
  ⯈ userGroups array[object] required
   dataSource string optional
   id string / guid optional
  userName string Max length: 128 optional
Responses
application/json
JSON
{"data":{"id":"f44264a4-64dc-4a83-b067-4025b59dc5b2","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-10-26T06:15:47.3303788Z","lastModifiedDateTime":"2026-10-26T06:15:47.3303788Z","image":{"id":"428841e8-380e-4ec0-b9ef-0c2b015673f3","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"b4333346-8e35-4090-a602-4a962ee1dcff","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"e4fa39be-01ec-48d1-98d1-8874b0bd354f","additionalDepartments":[{"id":"d0d017dd-e060-4104-ae81-d2461b1810d1","dataSource":"RelesysAPI"}],"userGroups":[{"id":"47c29cbb-e8b1-4ca8-b9d6-6f7a67f577c7","dataSource":"RelesysAPI"},{"id":"74f8a4c2-e103-487b-8415-21cd6b573f73","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"employmentType":"Full-time employee","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  ⯈ data object      
   ⯈ additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   ⯈ image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   ⯈ memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   ⯈ phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   ⯈ secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   ⯈ userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string